import ClassMetadata from '../Mapping/ClassMetadata';
import Serializer from './Serializer';
declare class JsSerializer extends Serializer {
    encodeItem(object: Record<string, unknown>, classMetadata: ClassMetadata): string;
    decodeItem(rawData: string, classMetadata: ClassMetadata, response: Response): Record<string, unknown>;
    decodeList(rawListData: string, classMetadata: ClassMetadata, response: Response): Iterable<Record<string, unknown>>;
}
export default JsSerializer;
