import type ClassMetadata from '../Mapping/ClassMetadata';
import type RestClientSdk from '../RestClientSdk';
import type { MetadataDefinition, SdkMetadata } from '../RestClientSdk';
import type AbstractClient from '../client/AbstractClient';
export declare function generateRepository<D extends MetadataDefinition>(sdk: RestClientSdk<SdkMetadata>, metadata: ClassMetadata, isUnitOfWorkEnabled?: boolean): AbstractClient<D>;
