import ClassMetadata from './Mapping/ClassMetadata';
declare class Mapping {
    #private;
    readonly idPrefix: string;
    constructor(idPrefix?: string, config?: {});
    getConfig(): Record<string, unknown>;
    setConfig(config: Record<string, unknown>): void;
    setMapping(classMetadataList?: ClassMetadata[]): void;
    getMappingKeys(): string[];
    getClassMetadataByKey(key: string): null | ClassMetadata;
    isMappingValid(): boolean;
}
export default Mapping;
