export declare function removeAuthorization(headers: undefined | HeadersInit): undefined | HeadersInit;
/**
 * remove undefined key, usefull to remove Content-Type for example.
 * Does not apply on "Headers" instance as values are string in there.
 */
export declare function removeUndefinedHeaders(headers: HeadersInit): HeadersInit;
export declare function convertToRecord(headers: HeadersInit): Record<string, string>;
