/**
 * Copyright (c) 2014-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
export declare const IS_ITERABLE_SENTINEL = "@@__IMMUTABLE_ITERABLE__@@";
export declare const IS_KEYED_SENTINEL = "@@__IMMUTABLE_KEYED__@@";
export declare const IS_INDEXED_SENTINEL = "@@__IMMUTABLE_INDEXED__@@";
export declare const IS_ORDERED_SENTINEL = "@@__IMMUTABLE_ORDERED__@@";
export declare const IS_RECORD_SENTINEL = "@@__IMMUTABLE_RECORD__@@";
export declare function isImmutable(maybeImmutable: unknown): boolean;
export declare function isCollection(maybeCollection: any): boolean;
export declare function isKeyed(maybeKeyed: any): boolean;
export declare function isIndexed(maybeIndexed: any): boolean;
export declare function isAssociative(maybeAssociative: any): boolean;
export declare function isOrdered(maybeOrdered: any): boolean;
export declare function isRecord(maybeRecord: any): boolean;
export declare function isValueObject(maybeValue: any): boolean;
